#pragma once
#include "GuiElement.h"
#include "Text.h"
#include "Texture.h"

class GuiText : public GuiElement {
public:
	GuiText(const Vector2f& position, const std::string& text, const std::string& fontPath, int size, const Color4f& color);
	GuiText();

	void Draw() const override;
	void Update(float elapsedSec) override;

	void ChangeText(const std::string& text) const;

	~GuiText() override;
private:
	Vector2f m_Position;
	Text* m_Text;		
};
